Skip to main content

Reactions

The Reactions API lets you add or remove emoji reactions on messages. Reactions are supported on WhatsApp, Telegram, Messenger, Instagram, and Live Chat.

Required Scopes

ScopePurpose
messages:createAdd and remove reactions

Channel Support

ChannelReactions Supported
WhatsAppYes
TelegramYes
MessengerYes
InstagramYes
Live ChatYes
SMSNo
EmailNo

Add a Reaction

POST /api/v1/messages/{message_id}/react

Request Body

FieldTypeRequiredDescription
emojistringYesSingle emoji character

curl

curl -X POST "https://api.sendseven.com/api/v1/messages/msg_abc123/react" \
-H "Authorization: Bearer s7_api_a1b2c3d4e5f6789012345678abcdef00" \
-H "Content-Type: application/json" \
-d '{"emoji": "\ud83d\udc4d"}'

Response

{
"message_id": "msg_abc123",
"emoji": "\ud83d\udc4d",
"reacted_at": "2026-02-10T17:15:00Z"
}

Remove a Reaction

DELETE /api/v1/messages/{message_id}/react

curl

curl -X DELETE "https://api.sendseven.com/api/v1/messages/msg_abc123/react" \
-H "Authorization: Bearer s7_api_a1b2c3d4e5f6789012345678abcdef00" \
-H "Content-Type: application/json"

Response

{
"message_id": "msg_abc123",
"reaction_removed": true
}

Python Example

import requests

BASE_URL = "https://api.sendseven.com/api/v1"
HEADERS = {
"Authorization": "Bearer s7_api_a1b2c3d4e5f6789012345678abcdef00",
"Content-Type": "application/json",
}

# Add a thumbs-up reaction
response = requests.post(
f"{BASE_URL}/messages/msg_abc123/react",
headers=HEADERS,
json={"emoji": "\ud83d\udc4d"},
)
print(response.json())

# Remove the reaction
response = requests.delete(
f"{BASE_URL}/messages/msg_abc123/react",
headers=HEADERS,
)
print(response.json())

JavaScript Example

const BASE_URL = "https://api.sendseven.com/api/v1";
const HEADERS = {
"Authorization": "Bearer s7_api_a1b2c3d4e5f6789012345678abcdef00",
"Content-Type": "application/json",
};

// Add a reaction
await fetch(`${BASE_URL}/messages/msg_abc123/react`, {
method: "POST",
headers: HEADERS,
body: JSON.stringify({ emoji: "\ud83d\udc4d" }),
});

// Remove a reaction
await fetch(`${BASE_URL}/messages/msg_abc123/react`, {
method: "DELETE",
headers: HEADERS,
});

Error Responses

StatusError CodeDescription
400VALIDATION_ERRORInvalid emoji or reactions not supported on this channel
401INVALID_TOKENMissing or invalid authentication token
403INSUFFICIENT_SCOPEToken lacks required scope
404RESOURCE_NOT_FOUNDMessage not found

Next Steps